package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.PosAppeal;
import com.ruoyi.system.mapper.PosAppealMapper;
import com.ruoyi.system.service.IPosAppealService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 留言信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-07
 */
@Service
public class PosAppealServiceImpl extends ServiceImpl<BaseMapper<PosAppeal>,PosAppeal> implements IPosAppealService
{
    @Autowired
    private PosAppealMapper posAppealMapper;

    /**
     * 查询留言信息
     * 
     * @param id 留言信息主键
     * @return 留言信息
     */
    @Override
    public PosAppeal selectPosAppealById(Long id)
    {
        return posAppealMapper.selectPosAppealById(id);
    }

    /**
     * 查询留言信息列表
     * 
     * @param posAppeal 留言信息
     * @return 留言信息
     */
    @Override
    public List<PosAppeal> selectPosAppealList(PosAppeal posAppeal)
    {
        return posAppealMapper.selectPosAppealList(posAppeal);
    }

    /**
     * 新增留言信息
     * 
     * @param posAppeal 留言信息
     * @return 结果
     */
    @Override
    public int insertPosAppeal(PosAppeal posAppeal)
    {
        return posAppealMapper.insertPosAppeal(posAppeal);
    }

    /**
     * 修改留言信息
     * 
     * @param posAppeal 留言信息
     * @return 结果
     */
    @Override
    public int updatePosAppeal(PosAppeal posAppeal)
    {
        return posAppealMapper.updatePosAppeal(posAppeal);
    }

    /**
     * 批量删除留言信息
     * 
     * @param ids 需要删除的留言信息主键
     * @return 结果
     */
    @Override
    public int deletePosAppealByIds(Long[] ids)
    {
        return posAppealMapper.deletePosAppealByIds(ids);
    }

    /**
     * 删除留言信息信息
     * 
     * @param id 留言信息主键
     * @return 结果
     */
    @Override
    public int deletePosAppealById(Long id)
    {
        return posAppealMapper.deletePosAppealById(id);
    }
}
